Bug 55238 - Installer crashes after package group selection screen (graphical mode only)
Installer crashes after package group selection screen (graphical mode only)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks: JON231
  Show dependency treegraph
 
Reported: 2001-10-27 20:00 EDT by bob_thing
Modified: 2010-01-22 10:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-28 11:48:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bob_thing 2001-10-27 20:00:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run setup in graphical mode
2. Proceed through setup
3. Setup crashes every time
	

Actual Results:  Initial setup works fine, running in graphical mode.  I 
choose custom
install, partition the disk, and select package groups with no problem.  
As soon as I try to advance past the package groups screen, the install 
fails.  There are 15 or so errors that look like this:

-----------------------------------------------------------
Gtk-CRITICAL gtkstyle.c:<line #> (<function name>)
  assertion 'window != NULL' failed

Gdk-CRITICAL gdkwindow.c:<line #> (<function name>)
  assertion 'window != NULL' failed
-----------------------------------------------------------

Followed by

-----------------------------------------------------------
Install exited abnormally
-----------------------------------------------------------

The installer then ejects my CD and tells me I can reboot.


Expected Results:  Uh...the installer should proceed normally, I guess.  
It works fine in text mode setup.

Additional info:

System details:

Athlon 1.4 @ 200 MHz FSB
MSI KT7 Pro2-A (KT133 chipset) mobo
2 x 512 MB ECC RAM
ATI Radeon 64MB DDR
2 x 45 GB Maxtor 7200 RPM HDD
Generic 16X DVD
Yamaha 20x10x40 CD-RW
Generic 1.4 FDD
Creative SBLive Platinum
Intel Pro 100+ NIC

Partitions:

[hda1](hda2[hda5][hda6])[hda3]

hda1 - 50 MB FAT16 for boot manager (System Commander)
hda2 - extended
hda3 - 35 GB NTFS for WinXP
hda5 - 9 GB ext2
hda6 - 700 MB swap
Comment 1 Brent Fox 2001-10-27 21:12:52 EDT
Hmm...did you click the "Hide Help" button at any point in the installer?
Comment 2 bob_thing 2001-10-28 11:48:43 EST
Yes, I click Hide Help right away.
Comment 3 Brent Fox 2001-10-28 13:14:02 EST
Ok.  This has already been reported in bug #54947.  A workaround is to not hide
the help until after the first screen.  What's happening is that when you click
"Next" for the language screen, the installer sets the font in the help screen.
 Well, if you've already clicked "Hide Help", then the help text widget doesn't
exist.  Trying to set the font for a non-existent widget causes a crash.  This
has already been fixed in cvs, but for now, simply not clicking "Hide Help"
until after the language screen should avoid the problem.

If this doesn't work around the problem, please reopen this bug report.

Note You need to log in before you can comment on or make changes to this bug.